Package ru.bitel.bgbilling.modules.ipn.server.bean

# Class Gate

java.lang.Object
ru.bitel.bgbilling.modules.ipn.server.bean.Gate

All Implemented Interfaces:
  `ListItem`

public class Gate extends Object implements ListItem

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Gate()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GateAddress`
  `getAddress()`
  `List<Gate>`
  `getChildren()`
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `GateType`
  `getGateType()`
  `String`
  `getHost()`
  `int`
  `getId()`
  `String`
  `getKeyword()`
  `Gate`
  `getParent()`
  `int`
  `getParentId()`
  `int`
  `getPort()`
  `String`
  `getTitle()`
  `int`
  `getTypeId()`
  `void`
  `setAddress(GateAddress address)`
  `void`
  `setChildren(List<Gate> children)`
  `void`
  `setComment(String comment)`
  `void`
  `setConfig(String config)`
  `void`
  `setGateType(GateType gateType)`
  `void`
  `setHost(String host)`
  `void`
  `setId(int ID)`
  `void`
  `setKeyword(String keyword)`
  `void`
  `setParent(Gate parent)`
  `void`
  `setParentId(int parentId)`
  `void`
  `setPort(int port)`
  `void`
  `setTypeId(int typeId)`
  `IdTitle`
  `toIdTitle()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Gate

    public Gate()

- ## Method Details

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### getId

    public int getId()
    Specified by:
      `getId` in interface `ListItem`

  - ### setId

    public void setId(int ID)

  - ### getHost

    public String getHost()

  - ### setHost

    public void setHost(String host)

  - ### getPort

    public int getPort()

  - ### setPort

    public void setPort(int port)

  - ### getKeyword

    public String getKeyword()

  - ### setKeyword

    public void setKeyword(String keyword)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getTypeId

    public int getTypeId()

  - ### setTypeId

    public void setTypeId(int typeId)

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `ListItem`

  - ### getChildren

    public List<Gate> getChildren()

  - ### setChildren

    public void setChildren(List<Gate> children)

  - ### getParent

    public Gate getParent()

  - ### setParent

    public void setParent(Gate parent)

  - ### getParentId

    public int getParentId()

  - ### setParentId

    public void setParentId(int parentId)

  - ### getGateType

    public GateType getGateType()

  - ### setGateType

    public void setGateType(GateType gateType)

  - ### getAddress

    public GateAddress getAddress()

  - ### setAddress

    public void setAddress(GateAddress address)

  - ### toIdTitle

    public IdTitle toIdTitle()